org.eclipse.graphiti.internal.command

## Class MoveShapeFeatureCommandWithContext

- java.lang.Object
- - org.eclipse.graphiti.internal.command.FeatureCommand
  - - org.eclipse.graphiti.internal.command.FeatureCommandWithContext
    - - org.eclipse.graphiti.internal.command.MoveShapeFeatureCommandWithContext

All Implemented Interfaces:
  IContextHolder, IFeatureAndContext, IFeatureHolder, IFeatureProviderHolder, IDescription, ICommand, IReadOnlyProvider

    public class MoveShapeFeatureCommandWithContext
    extends FeatureCommandWithContext

The Class MoveShapeFeatureCommandWithContext.

### Constructor Summary

Constructors
Constructor and Description
`MoveShapeFeatureCommandWithContext(IFeature feature, IMoveShapeContext context)` The Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute()` Can execute.
`boolean` `execute()` Execute.

### Methods inherited from class org.eclipse.graphiti.internal.command.FeatureCommandWithContext

`canUndo, getContext, undo`

### Methods inherited from class org.eclipse.graphiti.internal.command.FeatureCommand

`getDescription, getFeature, getFeatureProvider, isReadOnly`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureHolder

`getFeature`

### Constructor Detail

#### MoveShapeFeatureCommandWithContext

    public MoveShapeFeatureCommandWithContext(IFeature feature,
                                              IMoveShapeContext context)

The Constructor.

Parameters:
  `feature` - the feature
  `context` - the context

### Method Detail

#### canExecute

    public boolean canExecute()

Description copied from interface: `ICommand`
Can execute.

Returns:
  true, if successful

#### execute

    public final boolean execute()

Description copied from interface: `ICommand`
Execute.

Returns:
  true, if successful